searchData={"items":[{"type":"module","title":"MPL3115A2","doc":"MPL3115A2 Driver for Elixir using Wafer.","ref":"MPL3115A2.html"},{"type":"function","title":"MPL3115A2.acquire/1","doc":"Acquire a connection to the MPL3115A2 device using the passed in I2C\nconnection.","ref":"MPL3115A2.html#acquire/1"},{"type":"function","title":"Options: - MPL3115A2.acquire/1","doc":"- `conn` an I2C connection, probably from `ElixirALE.I2C` or `Circuits.I2C`.\n- `standby` set to `true` to put the device in standby, otherwise defaults to `false`.\n- `mode` set to either `:altimeter` or `:barometer`.  Defaults to `:altimeter`.\n- `event_on_new_temperature` set to `false` to disable.  Defaults to `true`.\n- `event_on_new_pressure` set to `false` to disable. Defaults to `true`.\n- `data_ready_event_mode` set to `false` to disable. Defaults to `true`.","ref":"MPL3115A2.html#acquire/1-options"},{"type":"function","title":"MPL3115A2.alarm_select/1","doc":"ALARM_SEL The bit selects the Target value for SRC_PW/SRC_TW and SRC_PTH/SRC_TTH\n\nDefault value: 0\n0: The values in P_TGT_MSB, P_TGT_LSB and T_TGT are used (Default)\n1: The values in OUT_P/OUT_T are used for calculating the interrupts SRC_PW/SRC_TW and SRC_PTH/SRC_TTH.","ref":"MPL3115A2.html#alarm_select/1"},{"type":"function","title":"MPL3115A2.alarm_select/2","doc":"ALARM_SEL The bit selects the Target value for SRC_PW/SRC_TW and SRC_PTH/SRC_TTH\n\nDefault value: 0\n0: The values in P_TGT_MSB, P_TGT_LSB and T_TGT are used (Default)\n1: The values in OUT_P/OUT_T are used for calculating the interrupts SRC_PW/SRC_TW and SRC_PTH/SRC_TTH.","ref":"MPL3115A2.html#alarm_select/2"},{"type":"function","title":"MPL3115A2.altitude/1","doc":"OUT_P Altitude in meters.","ref":"MPL3115A2.html#altitude/1"},{"type":"function","title":"MPL3115A2.altitude_delta/1","doc":"OUT_P_DELTA Altitude delta in meters.","ref":"MPL3115A2.html#altitude_delta/1"},{"type":"function","title":"MPL3115A2.altitude_offset/1","doc":"OFF_H Altitude Offset\n\nAltitude user accessible offset trim value.","ref":"MPL3115A2.html#altitude_offset/1"},{"type":"function","title":"MPL3115A2.altitude_offset/2","doc":"OFF_H Altitude Offset\n\nAltitude user accessible offset trim value.","ref":"MPL3115A2.html#altitude_offset/2"},{"type":"function","title":"MPL3115A2.altitude_pressure_delta_interrupt?/1","doc":"SRC_PCHG Delta P interrupt status.","ref":"MPL3115A2.html#altitude_pressure_delta_interrupt?/1"},{"type":"function","title":"MPL3115A2.altitude_pressure_interrupt?/1","doc":"SRC_PW Altitude/Pressure alerter status near or equal to target Pressure/Altitude.\n\nNear is within target value ± window value. Window value needs to be non\nzero for interrupt to trigger.","ref":"MPL3115A2.html#altitude_pressure_interrupt?/1"},{"type":"function","title":"MPL3115A2.altitude_pressure_threshold_interrupt?/1","doc":"SRC_PTH Altitude/Pressure threshold interrupt.\n\nWith the window set to a non zero value, the trigger will occur on crossing\nany of the thresholds: upper, center or lower. If the window is set to 0, it\nwill only trigger on crossing the center threshold.","ref":"MPL3115A2.html#altitude_pressure_threshold_interrupt?/1"},{"type":"function","title":"MPL3115A2.barometric_pressure_input/1","doc":"BAR_IN Barometric input for altitude calculations.\n\nInput is equivalent sea level pressure for measurement location.","ref":"MPL3115A2.html#barometric_pressure_input/1"},{"type":"function","title":"MPL3115A2.barometric_pressure_input/2","doc":"BAR_IN Barometric input for altitude calculations.\n\nInput is equivalent sea level pressure for measurement location in Pascals.","ref":"MPL3115A2.html#barometric_pressure_input/2"},{"type":"function","title":"MPL3115A2.data_acquisition_time_step/1","doc":"ST Auto acquisition time step.","ref":"MPL3115A2.html#data_acquisition_time_step/1"},{"type":"function","title":"MPL3115A2.data_acquisition_time_step/2","doc":"ST Auto acquisition time step.","ref":"MPL3115A2.html#data_acquisition_time_step/2"},{"type":"function","title":"MPL3115A2.data_ready_event_mode/2","doc":"DREM Set data ready event mode.\n\nIf the DREM bit is set `true` and one or more of the data ready event flags\n(PDEFE, TDEFE) are enabled, then an event flag will be raised upon change in\nstate of the data. If the DREM bit is `false` and one or more of the data\nready event flags are enabled, then an event flag will be raised whenever\nthe system acquires a new set of data.\n\nDefault value: `false`.","ref":"MPL3115A2.html#data_ready_event_mode/2"},{"type":"function","title":"MPL3115A2.data_ready_event_mode?/1","doc":"DREM Get data ready event mode.\n\nIf the DREM bit is set `true` and one or more of the data ready event flags\n(PDEFE, TDEFE) are enabled, then an event flag will be raised upon change in\nstate of the data. If the DREM bit is `false` and one or more of the data\nready event flags are enabled, then an event flag will be raised whenever\nthe system acquires a new set of data.\n\nDefault value: `false`.","ref":"MPL3115A2.html#data_ready_event_mode?/1"},{"type":"function","title":"MPL3115A2.data_ready_interrupt?/1","doc":"SRC_DRDY Data ready interrupt status.\n\n`true` indicates that Pressure/Altitude or Temperature data ready interrupt\nis active indicating the presence of new data and/or a data overwrite,\notherwise it is `false`.","ref":"MPL3115A2.html#data_ready_interrupt?/1"},{"type":"function","title":"MPL3115A2.fifo_event_sample_count_watermark/1","doc":"F_WMRK Get FIFO Event Sample Count Watermark.","ref":"MPL3115A2.html#fifo_event_sample_count_watermark/1"},{"type":"function","title":"MPL3115A2.fifo_event_sample_count_watermark/2","doc":"F_WMRK Set FIFO Event Sample Count Watermark.","ref":"MPL3115A2.html#fifo_event_sample_count_watermark/2"},{"type":"function","title":"MPL3115A2.fifo_interrupt?/1","doc":"SRC_FIFO FIFO interrupt status.\n\n`true` indicates that a FIFO interrupt event such as an overflow event has\noccurred. `false` indicates that no FIFO interrupt event has occurred.","ref":"MPL3115A2.html#fifo_interrupt?/1"},{"type":"function","title":"MPL3115A2.fifo_mode/1","doc":"F_MODE get FIFO mode\n\nCan be either `:fifo_disabled`, `:circular_buffer`, or `:halt_on_overflow`.","ref":"MPL3115A2.html#fifo_mode/1"},{"type":"function","title":"MPL3115A2.fifo_mode/2","doc":"F_MODE set FIFO mode\n\nCan be either `:fifo_disabled`, `:circular_buffer`, or `:halt_on_overflow`.","ref":"MPL3115A2.html#fifo_mode/2"},{"type":"function","title":"MPL3115A2.fifo_overflow?/1","doc":"F_OVF FIFO overflow events detected?","ref":"MPL3115A2.html#fifo_overflow?/1"},{"type":"function","title":"MPL3115A2.fifo_read_altitude/1","doc":"F_DATA Read FIFO data in Altitude mode.","ref":"MPL3115A2.html#fifo_read_altitude/1"},{"type":"function","title":"MPL3115A2.fifo_read_pressure/1","doc":"F_DATA Read FIFO data in Barometer mode.","ref":"MPL3115A2.html#fifo_read_pressure/1"},{"type":"function","title":"MPL3115A2.fifo_sample_count/1","doc":"F_CNT FIFO sample count","ref":"MPL3115A2.html#fifo_sample_count/1"},{"type":"function","title":"MPL3115A2.fifo_watermark?/1","doc":"F_WMRK_FLAG FIFO watermark events detected?","ref":"MPL3115A2.html#fifo_watermark?/1"},{"type":"function","title":"MPL3115A2.interrupt1_polarity/1","doc":"IPOL1 The IPOL bit selects the polarity of the interrupt signal.\n\nSelect whether the interrupt pin should be used in an active high or active\nlow configuration.  Defaults to active low.","ref":"MPL3115A2.html#interrupt1_polarity/1"},{"type":"function","title":"MPL3115A2.interrupt1_polarity/2","doc":"IPOL1 The IPOL bit selects the polarity of the interrupt signal.\n\nSelect whether the interrupt pin should be used in an active high or active\nlow configuration.  Defaults to active low.","ref":"MPL3115A2.html#interrupt1_polarity/2"},{"type":"function","title":"MPL3115A2.interrupt1_pull_mode/1","doc":"PP_OD1 This bit configures the interrupt pin to Push-Pull or in Open Drain mode.\n\nThe default value is 0 which corresponds to Push-Pull mode. The open drain\nconfiguration can be used for connecting multiple interrupt signals on the\nsame interrupt line. Push-Pull/Open Drain selection on interrupt pad INT1.\n\nCan be in either pull up or open drain mode. Defaults to pull up.","ref":"MPL3115A2.html#interrupt1_pull_mode/1"},{"type":"function","title":"MPL3115A2.interrupt1_pull_mode/2","doc":"PP_OD1 This bit configures the interrupt pin to Push-Pull or in Open Drain mode.\n\nThe default value is 0 which corresponds to Push-Pull mode. The open drain\nconfiguration can be used for connecting multiple interrupt signals on the\nsame interrupt line. Push-Pull/Open Drain selection on interrupt pad INT1.\n\nCan be in either pull up or open drain mode. Defaults to pull up.","ref":"MPL3115A2.html#interrupt1_pull_mode/2"},{"type":"function","title":"MPL3115A2.interrupt2_polarity/1","doc":"IPOL2 The IPOL bit selects the polarity of the interrupt signal.\n\nSelect whether the interrupt pin should be used in an active high or active\nlow configuration.  Defaults to active low.","ref":"MPL3115A2.html#interrupt2_polarity/1"},{"type":"function","title":"MPL3115A2.interrupt2_polarity/2","doc":"IPOL2 The IPOL bit selects the polarity of the interrupt signal.\n\nSelect whether the interrupt pin should be used in an active high or active\nlow configuration.  Defaults to active low.","ref":"MPL3115A2.html#interrupt2_polarity/2"},{"type":"function","title":"MPL3115A2.interrupt2_pull_mode/1","doc":"PP_OD2 This bit configures the interrupt pin to Push-Pull or in Open Drain mode.\n\nThe default value is 0 which corresponds to Push-Pull mode. The open drain\nconfiguration can be used for connecting multiple interrupt signals on the\nsame interrupt line. Push-Pull/Open Drain selection on interrupt pad INT1.\n\nCan be in either pull up or open drain mode. Defaults to pull up.","ref":"MPL3115A2.html#interrupt2_pull_mode/1"},{"type":"function","title":"MPL3115A2.interrupt2_pull_mode/2","doc":"PP_OD2 This bit configures the interrupt pin to Push-Pull or in Open Drain mode.\n\nThe default value is 0 which corresponds to Push-Pull mode. The open drain\nconfiguration can be used for connecting multiple interrupt signals on the\nsame interrupt line. Push-Pull/Open Drain selection on interrupt pad INT1.\n\nCan be in either pull up or open drain mode. Defaults to pull up.","ref":"MPL3115A2.html#interrupt2_pull_mode/2"},{"type":"function","title":"MPL3115A2.interrupt_data_ready_pin/2","doc":"INT_CFG_DRDY Data Ready Interrupt Pin Select.\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_data_ready_pin/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_data_ready/2","doc":"INT_EN_DRDY Data Ready Interrupt Enable.\n\nDefaults to `false`.","ref":"MPL3115A2.html#interrupt_enable_data_ready/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_data_ready?/1","doc":"INT_EN_DRDY Data Ready Interrupt Enable.\n\nDefaults to `false`.","ref":"MPL3115A2.html#interrupt_enable_data_ready?/1"},{"type":"function","title":"MPL3115A2.interrupt_enable_fifo/2","doc":"INT_EN_FIFO FIFO Interrupt Enable.\n\nDefault value: false\nfalse: FIFO interrupt disabled\ntrue: FIFO interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_fifo/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_fifo?/1","doc":"INT_EN_FIFO FIFO Interrupt Enable.\n\nDefault value: false\nfalse: FIFO interrupt disabled\ntrue: FIFO interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_fifo?/1"},{"type":"function","title":"MPL3115A2.interrupt_enable_pressure_change/2","doc":"INT_EN_PCHG Pressure Change Interrupt Enable.\n\nDefault value: false\nfalse: Pressure Change interrupt disabled\ntrue: Pressure Change interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_pressure_change/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_pressure_change?/1","doc":"INT_EN_PCHG Pressure Change Interrupt Enable.\n\nDefault value: false\nfalse: Pressure Change interrupt disabled\ntrue: Pressure Change interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_pressure_change?/1"},{"type":"function","title":"MPL3115A2.interrupt_enable_pressure_threshold/2","doc":"INT_EN_PTH Pressure Threshold Interrupt Enable.\n\nDefault value: false\nfalse: Pressure Threshold interrupt disabled\ntrue: Pressure Threshold interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_pressure_threshold/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_pressure_threshold?/1","doc":"INT_EN_PTH Pressure Threshold Interrupt Enable.\n\nDefault value: false\nfalse: Pressure Threshold interrupt disabled\ntrue: Pressure Threshold interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_pressure_threshold?/1"},{"type":"function","title":"MPL3115A2.interrupt_enable_pressure_window/2","doc":"INT_EN_PW Pressure Window Interrupt Enable.\n\nDefault value: false\nfalse: Pressure window interrupt disabled\ntrue: Pressure window interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_pressure_window/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_pressure_window?/1","doc":"INT_EN_PW Pressure Window Interrupt Enable.\n\nDefault value: false\nfalse: Pressure window interrupt disabled\ntrue: Pressure window interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_pressure_window?/1"},{"type":"function","title":"MPL3115A2.interrupt_enable_temperature_change/2","doc":"INT_EN_TCHG Temperature Change Interrupt Enable.\n\nDefault value: false\nfalse: Temperature Change interrupt disabled\ntrue: Temperature Change interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_temperature_change/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_temperature_change?/1","doc":"INT_EN_TCHG Temperature Change Interrupt Enable.\n\nDefault value: false\nfalse: Temperature Change interrupt disabled\ntrue: Temperature Change interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_temperature_change?/1"},{"type":"function","title":"MPL3115A2.interrupt_enable_temperature_threshold/2","doc":"INT_EN_TTH Temperature Threshold Interrupt Enable.\n\nDefault value: false\nfalse: Temperature Threshold interrupt disabled\ntrue: Temperature Threshold interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_temperature_threshold/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_temperature_threshold?/1","doc":"INT_EN_TTH Temperature Threshold Interrupt Enable.\n\nDefault value: false\nfalse: Temperature Threshold interrupt disabled\ntrue: Temperature Threshold interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_temperature_threshold?/1"},{"type":"function","title":"MPL3115A2.interrupt_enable_temperature_window/2","doc":"INT_EN_TW Temperature Window Interrupt Enable.\n\nInterrupt Enable.\nDefault value: false\nfalse: Temperature window interrupt disabled\ntrue: Temperature window interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_temperature_window/2"},{"type":"function","title":"MPL3115A2.interrupt_enable_temperature_window?/1","doc":"INT_EN_TW Temperature Window Interrupt Enable.\n\nInterrupt Enable.\nDefault value: false\nfalse: Temperature window interrupt disabled\ntrue: Temperature window interrupt enabled","ref":"MPL3115A2.html#interrupt_enable_temperature_window?/1"},{"type":"function","title":"MPL3115A2.interrupt_fifo_pin/1","doc":"INT_CFG_FIFO FIFO Interrupt Pin Select.\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_fifo_pin/1"},{"type":"function","title":"MPL3115A2.interrupt_fifo_pin/2","doc":"INT_CFG_FIFO FIFO Interrupt Pin Select.\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_fifo_pin/2"},{"type":"function","title":"MPL3115A2.interrupt_pressure_change_pin/1","doc":"INT_CFG_PCHG - Pressure Change Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_pressure_change_pin/1"},{"type":"function","title":"MPL3115A2.interrupt_pressure_change_pin/2","doc":"INT_CFG_PCHG - Pressure Change Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_pressure_change_pin/2"},{"type":"function","title":"MPL3115A2.interrupt_pressure_threshold_pin/1","doc":"INT_CFG_PTH Pressure Threshold Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_pressure_threshold_pin/1"},{"type":"function","title":"MPL3115A2.interrupt_pressure_threshold_pin/2","doc":"INT_CFG_PTH Pressure Threshold Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_pressure_threshold_pin/2"},{"type":"function","title":"MPL3115A2.interrupt_pressure_window_pin/1","doc":"INT_CFG_PW Pressure Window Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_pressure_window_pin/1"},{"type":"function","title":"MPL3115A2.interrupt_pressure_window_pin/2","doc":"INT_CFG_PW Pressure Window Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_pressure_window_pin/2"},{"type":"function","title":"MPL3115A2.interrupt_temperature_change_pin/1","doc":"INT_CFG_TCHG - Temperature Change Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_temperature_change_pin/1"},{"type":"function","title":"MPL3115A2.interrupt_temperature_change_pin/2","doc":"INT_CFG_TCHG - Temperature Change Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_temperature_change_pin/2"},{"type":"function","title":"MPL3115A2.interrupt_temperature_threshold_pin/1","doc":"INT_CFG_TTH Temperature Threshold Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_temperature_threshold_pin/1"},{"type":"function","title":"MPL3115A2.interrupt_temperature_threshold_pin/2","doc":"INT_CFG_TTH Temperature Threshold Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_temperature_threshold_pin/2"},{"type":"function","title":"MPL3115A2.interrupt_temperature_window_pin/1","doc":"INT_CFG_TW Temperature Window Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_temperature_window_pin/1"},{"type":"function","title":"MPL3115A2.interrupt_temperature_window_pin/2","doc":"INT_CFG_TW Temperature Window Interrupt Pin Select\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interrupt_temperature_window_pin/2"},{"type":"function","title":"MPL3115A2.interupt_data_ready_pin/1","doc":"INT_CFG_DRDY Data Ready Interrupt Pin Select.\n\n`1` - Interrupt Pin 1\n`2` - Interrupt Pin 2","ref":"MPL3115A2.html#interupt_data_ready_pin/1"},{"type":"function","title":"MPL3115A2.load_output/1","doc":"LOAD_OUTPUT This is to load the target values for SRC_PW/SRC_TW and SRC_PTH/SRC_TTH.\n\nDefault value: 0\n0: Do not load OUT_P/OUT_T as target values\n1: The next values of OUT_P/OUT_T are used to set the target values for the interrupts. Note:\n    1. This bit must be set at least once if ALARM_SEL=1\n    2. To reload the next OUT_P/OUT_T as the target values clear and set again.","ref":"MPL3115A2.html#load_output/1"},{"type":"function","title":"MPL3115A2.load_output/2","doc":"LOAD_OUTPUT This is to load the target values for SRC_PW/SRC_TW and SRC_PTH/SRC_TTH.\n\nDefault value: 0\n0: Do not load OUT_P/OUT_T as target values\n1: The next values of OUT_P/OUT_T are used to set the target values for the interrupts. Note:\n    1. This bit must be set at least once if ALARM_SEL=1\n    2. To reload the next OUT_P/OUT_T as the target values clear and set again.","ref":"MPL3115A2.html#load_output/2"},{"type":"function","title":"MPL3115A2.maximum_altitude/1","doc":"P_MAX Captured maximum Pressure/Altitude value.","ref":"MPL3115A2.html#maximum_altitude/1"},{"type":"function","title":"MPL3115A2.maximum_pressure/1","doc":"P_MAX Captured maximum Pressure/Altitude value.","ref":"MPL3115A2.html#maximum_pressure/1"},{"type":"function","title":"MPL3115A2.maximum_temperature/1","doc":"T_MAX Captured maximum temperature value.","ref":"MPL3115A2.html#maximum_temperature/1"},{"type":"function","title":"MPL3115A2.minimum_altitude/1","doc":"P_MIN Captured minimum Pressure/Altitude value.\n\nInterpreted as a altitude in meters.","ref":"MPL3115A2.html#minimum_altitude/1"},{"type":"function","title":"MPL3115A2.minimum_pressure/1","doc":"P_MIN Captured minimum Pressure/Altitude value.\n\nInterpreted as a pressure in Pascals.","ref":"MPL3115A2.html#minimum_pressure/1"},{"type":"function","title":"MPL3115A2.minimum_temperature/1","doc":"T_MIN Captured minimum temperature value.","ref":"MPL3115A2.html#minimum_temperature/1"},{"type":"function","title":"MPL3115A2.oneshot_mode/2","doc":"OST One-shot measurement\n\nOST bit will initiate a measurement immediately. If the SBYB bit is set to\nactive, setting the OST bit will initiate an immediate measurement, the part\nwill then return to acquiring data as per the setting of the ST bits in\nCTRL_REG2. In this mode, the OST bit does not clear itself and must be\ncleared and set again to initiate another immediate measurement.\n\nOne Shot: When SBYB is 0, the OST bit is an auto-clear bit. When OST is set,\nthe device initiates a measurement by going into active mode. Once a\nPressure/Altitude and Temperature measurement is completed, it clears the\nOST bit and comes back to STANDBY mode. User shall read the value of the OST\nbit before writing to this bit again.","ref":"MPL3115A2.html#oneshot_mode/2"},{"type":"function","title":"MPL3115A2.oneshot_mode?/1","doc":"OST One-shot measurement\n\nOST bit will initiate a measurement immediately. If the SBYB bit is set to\nactive, setting the OST bit will initiate an immediate measurement, the part\nwill then return to acquiring data as per the setting of the ST bits in\nCTRL_REG2. In this mode, the OST bit does not clear itself and must be\ncleared and set again to initiate another immediate measurement.\n\nOne Shot: When SBYB is 0, the OST bit is an auto-clear bit. When OST is set,\nthe device initiates a measurement by going into active mode. Once a\nPressure/Altitude and Temperature measurement is completed, it clears the\nOST bit and comes back to STANDBY mode. User shall read the value of the OST\nbit before writing to this bit again.","ref":"MPL3115A2.html#oneshot_mode?/1"},{"type":"function","title":"MPL3115A2.operating_mode/1","doc":"ALT Altimeter-Barometer mode.\n\nSelects whether the device is in Altimeter or Barometer mode.\nCan be either `:barometer` or `:altimeter`.","ref":"MPL3115A2.html#operating_mode/1"},{"type":"function","title":"MPL3115A2.operating_mode/2","doc":"ALT Altimeter-Barometer mode.\n\nSelects whether the device is in Altimeter or Barometer mode.\nCan be either `:barometer` or `:altimeter`.","ref":"MPL3115A2.html#operating_mode/2"},{"type":"function","title":"MPL3115A2.oversample_delay/1","doc":"Oversample delay in milliseconds.","ref":"MPL3115A2.html#oversample_delay/1"},{"type":"function","title":"MPL3115A2.oversample_ratio/1","doc":"OS Oversample Ratio.","ref":"MPL3115A2.html#oversample_ratio/1"},{"type":"function","title":"MPL3115A2.oversample_ratio/2","doc":"OS Oversample Ratio.","ref":"MPL3115A2.html#oversample_ratio/2"},{"type":"function","title":"MPL3115A2.pressure/1","doc":"OUT_P Pressure in Pascals.","ref":"MPL3115A2.html#pressure/1"},{"type":"function","title":"MPL3115A2.pressure_altitude_event_flag_enable/2","doc":"PDEFE Data event flag enable on new Pressure/Altitude data.\n\nDefault value: `false`.","ref":"MPL3115A2.html#pressure_altitude_event_flag_enable/2"},{"type":"function","title":"MPL3115A2.pressure_altitude_event_flag_enable?/1","doc":"PDEFE Data event flag enable on new Pressure/Altitude data.\n\nDefault value: `false`.","ref":"MPL3115A2.html#pressure_altitude_event_flag_enable?/1"},{"type":"function","title":"MPL3115A2.pressure_altitude_window/1","doc":"P_WND Pressure/Altitude window value.\n\nIn Altitude mode the result is in meters.\nIn Pressure mode the result is in Pascals.","ref":"MPL3115A2.html#pressure_altitude_window/1"},{"type":"function","title":"MPL3115A2.pressure_altitude_window/2","doc":"P_WND Pressure/Altitude window value.\n\nIn Altitude mode the result is in meters.\nIn Pressure mode the result is in Pascals.","ref":"MPL3115A2.html#pressure_altitude_window/2"},{"type":"function","title":"MPL3115A2.pressure_data_overwrite?/1","doc":"POW Pressure/Altitude data overwrite.","ref":"MPL3115A2.html#pressure_data_overwrite?/1"},{"type":"function","title":"MPL3115A2.pressure_data_ready?/1","doc":"PDR Pressure/Altitude new data available.","ref":"MPL3115A2.html#pressure_data_ready?/1"},{"type":"function","title":"MPL3115A2.pressure_delta/1","doc":"OUT_P_DELTA Pressure delta in Pascals.","ref":"MPL3115A2.html#pressure_delta/1"},{"type":"function","title":"MPL3115A2.pressure_offset/1","doc":"OFF_P Pressure Offset\n\nPressure user accessible offset trim value.","ref":"MPL3115A2.html#pressure_offset/1"},{"type":"function","title":"MPL3115A2.pressure_offset/2","doc":"OFF_P Pressure Offset\n\nPressure user accessible offset trim value.","ref":"MPL3115A2.html#pressure_offset/2"},{"type":"function","title":"MPL3115A2.pressure_or_altitude_target/1","doc":"P_TGT Altitude/Pressure target value.\n\nThis value works in conjunction with the window value (P_WND).\n\nIn Altitude mode the result is in meters.\nIn Pressure mode the result is in Pascals.","ref":"MPL3115A2.html#pressure_or_altitude_target/1"},{"type":"function","title":"MPL3115A2.pressure_or_altitude_target/2","doc":"P_TGT Altitude/Pressure target value.\n\nThis value works in conjunction with the window value (P_WND).\n\nIn Altitude mode the result is in meters.\nIn Pressure mode the result is in Pascals.","ref":"MPL3115A2.html#pressure_or_altitude_target/2"},{"type":"function","title":"MPL3115A2.pressure_or_temperature_data_overwrite?/1","doc":"PTOW Pressure/Altitude OR Temperature data overwrite.","ref":"MPL3115A2.html#pressure_or_temperature_data_overwrite?/1"},{"type":"function","title":"MPL3115A2.pressure_or_temperature_data_ready?/1","doc":"PTDR Pressure/Altitude OR Temperature data ready.","ref":"MPL3115A2.html#pressure_or_temperature_data_ready?/1"},{"type":"function","title":"MPL3115A2.raw_output/2","doc":"RAW Raw output mode.\n\nRAW bit will output ADC data with no post processing, except for\noversampling. No scaling or offsets will be applied in the digital domain.\nThe FIFO must be disabled and all other functionality: Alarms, Deltas, and\nother interrupts are disabled.","ref":"MPL3115A2.html#raw_output/2"},{"type":"function","title":"MPL3115A2.raw_output?/1","doc":"RAW Raw output mode.\n\nRAW bit will output ADC data with no post processing, except for\noversampling. No scaling or offsets will be applied in the digital domain.\nThe FIFO must be disabled and all other functionality: Alarms, Deltas, and\nother interrupts are disabled.","ref":"MPL3115A2.html#raw_output?/1"},{"type":"function","title":"MPL3115A2.reset/1","doc":"RST Software Reset.\n\nThis bit is used to activate the software reset. The Boot mechanism can be\nenabled in STANDBY and ACTIVE mode.\n\nWhen the Boot bit is enabled the boot mechanism resets all functional block\nregisters and loads the respective internal registers with default values.\nIf the system was already in STANDBY mode, the reboot process will\nimmediately begin; else if the system was in ACTIVE mode, the boot mechanism\nwill automatically transition the system from ACTIVE mode to STANDBY mode,\nonly then can the reboot process begin.\n\nThe I2C communication system is reset to avoid accidental corrupted data access.","ref":"MPL3115A2.html#reset/1"},{"type":"function","title":"MPL3115A2.standby_mode/2","doc":"SBYB System Standby","ref":"MPL3115A2.html#standby_mode/2"},{"type":"function","title":"MPL3115A2.standby_mode?/1","doc":"SBYB System Standby","ref":"MPL3115A2.html#standby_mode?/1"},{"type":"function","title":"MPL3115A2.system_mode/1","doc":"SYSMOD Get System Mode, either `:standby` or `:active`.","ref":"MPL3115A2.html#system_mode/1"},{"type":"function","title":"MPL3115A2.temperature/1","doc":"OUT_T Temperature in ℃.","ref":"MPL3115A2.html#temperature/1"},{"type":"function","title":"MPL3115A2.temperature_data_overwrite?/1","doc":"TOW Temperature data overwrite.","ref":"MPL3115A2.html#temperature_data_overwrite?/1"},{"type":"function","title":"MPL3115A2.temperature_data_ready?/1","doc":"TDR Temperature new Data Available.","ref":"MPL3115A2.html#temperature_data_ready?/1"},{"type":"function","title":"MPL3115A2.temperature_delta/1","doc":"OUT_T_DELTA Temperature delta in ℃.","ref":"MPL3115A2.html#temperature_delta/1"},{"type":"function","title":"MPL3115A2.temperature_delta_interrupt?/1","doc":"SRC_TCHG Delta T interrupt status.","ref":"MPL3115A2.html#temperature_delta_interrupt?/1"},{"type":"function","title":"MPL3115A2.temperature_event_flag_enable/2","doc":"TDEFE Data event flag enable on new Temperature data.\n\nDefault value: `false`.","ref":"MPL3115A2.html#temperature_event_flag_enable/2"},{"type":"function","title":"MPL3115A2.temperature_event_flag_enable?/1","doc":"TDEFE Data event flag enable on new Temperature data.\n\nDefault value: `false`.","ref":"MPL3115A2.html#temperature_event_flag_enable?/1"},{"type":"function","title":"MPL3115A2.temperature_interrupt?/1","doc":"SRC_TW Temperature alerter status bit near or equal to target temperature.\n\nNear is within target value ± window value. Window value needs to be non zero\nfor interrupt to trigger.","ref":"MPL3115A2.html#temperature_interrupt?/1"},{"type":"function","title":"MPL3115A2.temperature_offset/1","doc":"OFF_T Temperature Offset\n\nTemperature user accessible offset trim value.","ref":"MPL3115A2.html#temperature_offset/1"},{"type":"function","title":"MPL3115A2.temperature_offset/2","doc":"OFF_T Temperature Offset\n\nTemperature user accessible offset trim value.","ref":"MPL3115A2.html#temperature_offset/2"},{"type":"function","title":"MPL3115A2.temperature_target/1","doc":"T_TGT Temperature target value input in °C.","ref":"MPL3115A2.html#temperature_target/1"},{"type":"function","title":"MPL3115A2.temperature_target/2","doc":"T_TGT Temperature target value input in °C.","ref":"MPL3115A2.html#temperature_target/2"},{"type":"function","title":"MPL3115A2.temperature_threshold_interrupt?/1","doc":"SRC_TTH Temperature threshold interrupt.\n\nWith the window set to a non zero value, the trigger will occur on crossing\nany of the thresholds: upper, center or lower. If the window is set to 0, it\nwill only trigger on crossing the center threshold.","ref":"MPL3115A2.html#temperature_threshold_interrupt?/1"},{"type":"function","title":"MPL3115A2.temperature_window/1","doc":"T_WND Temperature alarm window value in °C.","ref":"MPL3115A2.html#temperature_window/1"},{"type":"function","title":"MPL3115A2.temperature_window/2","doc":"T_WND Temperature alarm window value in °C.","ref":"MPL3115A2.html#temperature_window/2"},{"type":"function","title":"MPL3115A2.time_delay/1","doc":"TIME_DLY\n\nThe time delay register contains the number of ticks of data sample time\nsince the last byte of the FIFO was written. This register starts to\nincrement on FIFO overflow or data wrap and clears when last byte of FIFO is\nread.","ref":"MPL3115A2.html#time_delay/1"},{"type":"function","title":"MPL3115A2.verify_identity/1","doc":"WHO_AM_I Verify the device's identity\n\nRead the contents of the WHO_AM_I register and make sure that it equals the\nvalue specified in the datasheet (0xC4).","ref":"MPL3115A2.html#verify_identity/1"},{"type":"type","title":"MPL3115A2.acquire_option/0","doc":"","ref":"MPL3115A2.html#t:acquire_option/0"},{"type":"type","title":"MPL3115A2.acquire_options/0","doc":"","ref":"MPL3115A2.html#t:acquire_options/0"},{"type":"type","title":"MPL3115A2.altitude/0","doc":"","ref":"MPL3115A2.html#t:altitude/0"},{"type":"type","title":"MPL3115A2.fifo_mode/0","doc":"","ref":"MPL3115A2.html#t:fifo_mode/0"},{"type":"type","title":"MPL3115A2.mode/0","doc":"","ref":"MPL3115A2.html#t:mode/0"},{"type":"type","title":"MPL3115A2.oversample/0","doc":"","ref":"MPL3115A2.html#t:oversample/0"},{"type":"type","title":"MPL3115A2.pressure/0","doc":"","ref":"MPL3115A2.html#t:pressure/0"},{"type":"type","title":"MPL3115A2.t/0","doc":"","ref":"MPL3115A2.html#t:t/0"},{"type":"type","title":"MPL3115A2.temperature/0","doc":"","ref":"MPL3115A2.html#t:temperature/0"},{"type":"module","title":"MPL3115A2.Registers","doc":"This module provides a wrapper around the MPL3115A2 registers\ndescribed in Freescale's data sheet.","ref":"MPL3115A2.Registers.html"},{"type":"function","title":"MPL3115A2.Registers.read_bar_in_lsb/1","doc":"Read the contents of the `bar_in_lsb` register.","ref":"MPL3115A2.Registers.html#read_bar_in_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_bar_in_lsb/1","doc":"iex> read_bar_in_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_bar_in_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_bar_in_msb/1","doc":"Read the contents of the `bar_in_msb` register.","ref":"MPL3115A2.Registers.html#read_bar_in_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_bar_in_msb/1","doc":"iex> read_bar_in_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_bar_in_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_ctrl_reg1/1","doc":"Read the contents of the `ctrl_reg1` register.","ref":"MPL3115A2.Registers.html#read_ctrl_reg1/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_ctrl_reg1/1","doc":"iex> read_ctrl_reg1(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_ctrl_reg1/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_ctrl_reg2/1","doc":"Read the contents of the `ctrl_reg2` register.","ref":"MPL3115A2.Registers.html#read_ctrl_reg2/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_ctrl_reg2/1","doc":"iex> read_ctrl_reg2(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_ctrl_reg2/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_ctrl_reg3/1","doc":"Read the contents of the `ctrl_reg3` register.","ref":"MPL3115A2.Registers.html#read_ctrl_reg3/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_ctrl_reg3/1","doc":"iex> read_ctrl_reg3(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_ctrl_reg3/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_ctrl_reg4/1","doc":"Read the contents of the `ctrl_reg4` register.","ref":"MPL3115A2.Registers.html#read_ctrl_reg4/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_ctrl_reg4/1","doc":"iex> read_ctrl_reg4(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_ctrl_reg4/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_ctrl_reg5/1","doc":"Read the contents of the `ctrl_reg5` register.","ref":"MPL3115A2.Registers.html#read_ctrl_reg5/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_ctrl_reg5/1","doc":"iex> read_ctrl_reg5(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_ctrl_reg5/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_dr_status/1","doc":"Read the contents of the `dr_status` register.","ref":"MPL3115A2.Registers.html#read_dr_status/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_dr_status/1","doc":"iex> read_dr_status(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_dr_status/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_f_data/1","doc":"Read the contents of the `f_data` register.","ref":"MPL3115A2.Registers.html#read_f_data/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_f_data/1","doc":"iex> read_f_data(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_f_data/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_f_setup/1","doc":"Read the contents of the `f_setup` register.","ref":"MPL3115A2.Registers.html#read_f_setup/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_f_setup/1","doc":"iex> read_f_setup(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_f_setup/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_f_status/1","doc":"Read the contents of the `f_status` register.","ref":"MPL3115A2.Registers.html#read_f_status/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_f_status/1","doc":"iex> read_f_status(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_f_status/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_int_source/1","doc":"Read the contents of the `int_source` register.","ref":"MPL3115A2.Registers.html#read_int_source/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_int_source/1","doc":"iex> read_int_source(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_int_source/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_off_h/1","doc":"Read the contents of the `off_h` register.","ref":"MPL3115A2.Registers.html#read_off_h/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_off_h/1","doc":"iex> read_off_h(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_off_h/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_off_p/1","doc":"Read the contents of the `off_p` register.","ref":"MPL3115A2.Registers.html#read_off_p/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_off_p/1","doc":"iex> read_off_p(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_off_p/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_off_t/1","doc":"Read the contents of the `off_t` register.","ref":"MPL3115A2.Registers.html#read_off_t/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_off_t/1","doc":"iex> read_off_t(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_off_t/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_p_csb/1","doc":"Read the contents of the `out_p_csb` register.","ref":"MPL3115A2.Registers.html#read_out_p_csb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_p_csb/1","doc":"iex> read_out_p_csb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_p_csb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_p_delta_csb/1","doc":"Read the contents of the `out_p_delta_csb` register.","ref":"MPL3115A2.Registers.html#read_out_p_delta_csb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_p_delta_csb/1","doc":"iex> read_out_p_delta_csb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_p_delta_csb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_p_delta_lsb/1","doc":"Read the contents of the `out_p_delta_lsb` register.","ref":"MPL3115A2.Registers.html#read_out_p_delta_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_p_delta_lsb/1","doc":"iex> read_out_p_delta_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_p_delta_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_p_delta_msb/1","doc":"Read the contents of the `out_p_delta_msb` register.","ref":"MPL3115A2.Registers.html#read_out_p_delta_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_p_delta_msb/1","doc":"iex> read_out_p_delta_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_p_delta_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_p_lsb/1","doc":"Read the contents of the `out_p_lsb` register.","ref":"MPL3115A2.Registers.html#read_out_p_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_p_lsb/1","doc":"iex> read_out_p_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_p_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_p_msb/1","doc":"Read the contents of the `out_p_msb` register.","ref":"MPL3115A2.Registers.html#read_out_p_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_p_msb/1","doc":"iex> read_out_p_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_p_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_t_delta_lsb/1","doc":"Read the contents of the `out_t_delta_lsb` register.","ref":"MPL3115A2.Registers.html#read_out_t_delta_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_t_delta_lsb/1","doc":"iex> read_out_t_delta_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_t_delta_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_t_delta_msb/1","doc":"Read the contents of the `out_t_delta_msb` register.","ref":"MPL3115A2.Registers.html#read_out_t_delta_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_t_delta_msb/1","doc":"iex> read_out_t_delta_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_t_delta_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_t_lsb/1","doc":"Read the contents of the `out_t_lsb` register.","ref":"MPL3115A2.Registers.html#read_out_t_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_t_lsb/1","doc":"iex> read_out_t_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_t_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_out_t_msb/1","doc":"Read the contents of the `out_t_msb` register.","ref":"MPL3115A2.Registers.html#read_out_t_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_out_t_msb/1","doc":"iex> read_out_t_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_out_t_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_max_csb/1","doc":"Read the contents of the `p_max_csb` register.","ref":"MPL3115A2.Registers.html#read_p_max_csb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_max_csb/1","doc":"iex> read_p_max_csb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_max_csb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_max_lsb/1","doc":"Read the contents of the `p_max_lsb` register.","ref":"MPL3115A2.Registers.html#read_p_max_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_max_lsb/1","doc":"iex> read_p_max_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_max_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_max_msb/1","doc":"Read the contents of the `p_max_msb` register.","ref":"MPL3115A2.Registers.html#read_p_max_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_max_msb/1","doc":"iex> read_p_max_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_max_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_min_csb/1","doc":"Read the contents of the `p_min_csb` register.","ref":"MPL3115A2.Registers.html#read_p_min_csb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_min_csb/1","doc":"iex> read_p_min_csb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_min_csb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_min_lsb/1","doc":"Read the contents of the `p_min_lsb` register.","ref":"MPL3115A2.Registers.html#read_p_min_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_min_lsb/1","doc":"iex> read_p_min_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_min_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_min_msb/1","doc":"Read the contents of the `p_min_msb` register.","ref":"MPL3115A2.Registers.html#read_p_min_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_min_msb/1","doc":"iex> read_p_min_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_min_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_tgt_lsb/1","doc":"Read the contents of the `p_tgt_lsb` register.","ref":"MPL3115A2.Registers.html#read_p_tgt_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_tgt_lsb/1","doc":"iex> read_p_tgt_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_tgt_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_tgt_msb/1","doc":"Read the contents of the `p_tgt_msb` register.","ref":"MPL3115A2.Registers.html#read_p_tgt_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_tgt_msb/1","doc":"iex> read_p_tgt_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_tgt_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_wnd_lsb/1","doc":"Read the contents of the `p_wnd_lsb` register.","ref":"MPL3115A2.Registers.html#read_p_wnd_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_wnd_lsb/1","doc":"iex> read_p_wnd_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_wnd_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_p_wnd_msb/1","doc":"Read the contents of the `p_wnd_msb` register.","ref":"MPL3115A2.Registers.html#read_p_wnd_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_p_wnd_msb/1","doc":"iex> read_p_wnd_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_p_wnd_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_pt_data_cfg/1","doc":"Read the contents of the `pt_data_cfg` register.","ref":"MPL3115A2.Registers.html#read_pt_data_cfg/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_pt_data_cfg/1","doc":"iex> read_pt_data_cfg(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_pt_data_cfg/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_status/1","doc":"Read the contents of the `status` register.","ref":"MPL3115A2.Registers.html#read_status/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_status/1","doc":"iex> read_status(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_status/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_sysmod/1","doc":"Read the contents of the `sysmod` register.","ref":"MPL3115A2.Registers.html#read_sysmod/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_sysmod/1","doc":"iex> read_sysmod(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_sysmod/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_t_max_lsb/1","doc":"Read the contents of the `t_max_lsb` register.","ref":"MPL3115A2.Registers.html#read_t_max_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_t_max_lsb/1","doc":"iex> read_t_max_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_t_max_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_t_max_msb/1","doc":"Read the contents of the `t_max_msb` register.","ref":"MPL3115A2.Registers.html#read_t_max_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_t_max_msb/1","doc":"iex> read_t_max_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_t_max_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_t_min_lsb/1","doc":"Read the contents of the `t_min_lsb` register.","ref":"MPL3115A2.Registers.html#read_t_min_lsb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_t_min_lsb/1","doc":"iex> read_t_min_lsb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_t_min_lsb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_t_min_msb/1","doc":"Read the contents of the `t_min_msb` register.","ref":"MPL3115A2.Registers.html#read_t_min_msb/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_t_min_msb/1","doc":"iex> read_t_min_msb(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_t_min_msb/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_t_tgt/1","doc":"Read the contents of the `t_tgt` register.","ref":"MPL3115A2.Registers.html#read_t_tgt/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_t_tgt/1","doc":"iex> read_t_tgt(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_t_tgt/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_t_wnd/1","doc":"Read the contents of the `t_wnd` register.","ref":"MPL3115A2.Registers.html#read_t_wnd/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_t_wnd/1","doc":"iex> read_t_wnd(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_t_wnd/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_time_dly/1","doc":"Read the contents of the `time_dly` register.","ref":"MPL3115A2.Registers.html#read_time_dly/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_time_dly/1","doc":"iex> read_time_dly(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_time_dly/1-example"},{"type":"function","title":"MPL3115A2.Registers.read_who_am_i/1","doc":"Read the contents of the `who_am_i` register.","ref":"MPL3115A2.Registers.html#read_who_am_i/1"},{"type":"function","title":"Example - MPL3115A2.Registers.read_who_am_i/1","doc":"iex> read_who_am_i(conn)\n    {:ok,  >}","ref":"MPL3115A2.Registers.html#read_who_am_i/1-example"},{"type":"function","title":"MPL3115A2.Registers.swap_bar_in_lsb/2","doc":"Swap the contents of the `bar_in_lsb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_bar_in_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_bar_in_lsb/2","doc":"iex> swap_bar_in_lsb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_bar_in_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_bar_in_msb/2","doc":"Swap the contents of the `bar_in_msb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_bar_in_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_bar_in_msb/2","doc":"iex> swap_bar_in_msb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_bar_in_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_ctrl_reg1/2","doc":"Swap the contents of the `ctrl_reg1` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_ctrl_reg1/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_ctrl_reg1/2","doc":"iex> swap_ctrl_reg1(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_ctrl_reg1/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_ctrl_reg2/2","doc":"Swap the contents of the `ctrl_reg2` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_ctrl_reg2/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_ctrl_reg2/2","doc":"iex> swap_ctrl_reg2(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_ctrl_reg2/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_ctrl_reg3/2","doc":"Swap the contents of the `ctrl_reg3` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_ctrl_reg3/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_ctrl_reg3/2","doc":"iex> swap_ctrl_reg3(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_ctrl_reg3/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_ctrl_reg4/2","doc":"Swap the contents of the `ctrl_reg4` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_ctrl_reg4/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_ctrl_reg4/2","doc":"iex> swap_ctrl_reg4(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_ctrl_reg4/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_ctrl_reg5/2","doc":"Swap the contents of the `ctrl_reg5` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_ctrl_reg5/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_ctrl_reg5/2","doc":"iex> swap_ctrl_reg5(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_ctrl_reg5/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_f_setup/2","doc":"Swap the contents of the `f_setup` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_f_setup/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_f_setup/2","doc":"iex> swap_f_setup(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_f_setup/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_off_h/2","doc":"Swap the contents of the `off_h` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_off_h/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_off_h/2","doc":"iex> swap_off_h(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_off_h/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_off_p/2","doc":"Swap the contents of the `off_p` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_off_p/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_off_p/2","doc":"iex> swap_off_p(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_off_p/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_off_t/2","doc":"Swap the contents of the `off_t` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_off_t/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_off_t/2","doc":"iex> swap_off_t(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_off_t/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_max_csb/2","doc":"Swap the contents of the `p_max_csb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_max_csb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_max_csb/2","doc":"iex> swap_p_max_csb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_max_csb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_max_lsb/2","doc":"Swap the contents of the `p_max_lsb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_max_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_max_lsb/2","doc":"iex> swap_p_max_lsb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_max_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_max_msb/2","doc":"Swap the contents of the `p_max_msb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_max_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_max_msb/2","doc":"iex> swap_p_max_msb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_max_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_min_csb/2","doc":"Swap the contents of the `p_min_csb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_min_csb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_min_csb/2","doc":"iex> swap_p_min_csb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_min_csb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_min_lsb/2","doc":"Swap the contents of the `p_min_lsb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_min_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_min_lsb/2","doc":"iex> swap_p_min_lsb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_min_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_min_msb/2","doc":"Swap the contents of the `p_min_msb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_min_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_min_msb/2","doc":"iex> swap_p_min_msb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_min_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_tgt_lsb/2","doc":"Swap the contents of the `p_tgt_lsb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_tgt_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_tgt_lsb/2","doc":"iex> swap_p_tgt_lsb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_tgt_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_tgt_msb/2","doc":"Swap the contents of the `p_tgt_msb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_tgt_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_tgt_msb/2","doc":"iex> swap_p_tgt_msb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_tgt_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_wnd_lsb/2","doc":"Swap the contents of the `p_wnd_lsb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_wnd_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_wnd_lsb/2","doc":"iex> swap_p_wnd_lsb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_wnd_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_p_wnd_msb/2","doc":"Swap the contents of the `p_wnd_msb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_p_wnd_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_p_wnd_msb/2","doc":"iex> swap_p_wnd_msb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_p_wnd_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_pt_data_cfg/2","doc":"Swap the contents of the `pt_data_cfg` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_pt_data_cfg/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_pt_data_cfg/2","doc":"iex> swap_pt_data_cfg(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_pt_data_cfg/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_t_max_lsb/2","doc":"Swap the contents of the `t_max_lsb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_t_max_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_t_max_lsb/2","doc":"iex> swap_t_max_lsb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_t_max_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_t_max_msb/2","doc":"Swap the contents of the `t_max_msb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_t_max_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_t_max_msb/2","doc":"iex> swap_t_max_msb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_t_max_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_t_min_lsb/2","doc":"Swap the contents of the `t_min_lsb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_t_min_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_t_min_lsb/2","doc":"iex> swap_t_min_lsb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_t_min_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_t_min_msb/2","doc":"Swap the contents of the `t_min_msb` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_t_min_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_t_min_msb/2","doc":"iex> swap_t_min_msb(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_t_min_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_t_tgt/2","doc":"Swap the contents of the `t_tgt` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_t_tgt/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_t_tgt/2","doc":"iex> swap_t_tgt(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_t_tgt/2-example"},{"type":"function","title":"MPL3115A2.Registers.swap_t_wnd/2","doc":"Swap the contents of the `t_wnd` register.\n\nReads the contents of the register, then replaces it, returning the\nprevious contents.  Some drivers may implement this atomically.","ref":"MPL3115A2.Registers.html#swap_t_wnd/2"},{"type":"function","title":"Example - MPL3115A2.Registers.swap_t_wnd/2","doc":"iex> swap_t_wnd(conn,  >)\n    {:ok,  >, _conn}","ref":"MPL3115A2.Registers.html#swap_t_wnd/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_bar_in_lsb/2","doc":"Update the contents of the `bar_in_lsb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_bar_in_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_bar_in_lsb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_bar_in_lsb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_bar_in_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_bar_in_msb/2","doc":"Update the contents of the `bar_in_msb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_bar_in_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_bar_in_msb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_bar_in_msb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_bar_in_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_ctrl_reg1/2","doc":"Update the contents of the `ctrl_reg1` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_ctrl_reg1/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_ctrl_reg1/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_ctrl_reg1(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_ctrl_reg1/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_ctrl_reg2/2","doc":"Update the contents of the `ctrl_reg2` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_ctrl_reg2/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_ctrl_reg2/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_ctrl_reg2(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_ctrl_reg2/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_ctrl_reg3/2","doc":"Update the contents of the `ctrl_reg3` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_ctrl_reg3/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_ctrl_reg3/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_ctrl_reg3(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_ctrl_reg3/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_ctrl_reg4/2","doc":"Update the contents of the `ctrl_reg4` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_ctrl_reg4/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_ctrl_reg4/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_ctrl_reg4(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_ctrl_reg4/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_ctrl_reg5/2","doc":"Update the contents of the `ctrl_reg5` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_ctrl_reg5/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_ctrl_reg5/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_ctrl_reg5(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_ctrl_reg5/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_f_setup/2","doc":"Update the contents of the `f_setup` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_f_setup/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_f_setup/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_f_setup(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_f_setup/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_off_h/2","doc":"Update the contents of the `off_h` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_off_h/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_off_h/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_off_h(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_off_h/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_off_p/2","doc":"Update the contents of the `off_p` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_off_p/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_off_p/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_off_p(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_off_p/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_off_t/2","doc":"Update the contents of the `off_t` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_off_t/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_off_t/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_off_t(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_off_t/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_max_csb/2","doc":"Update the contents of the `p_max_csb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_max_csb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_max_csb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_max_csb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_max_csb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_max_lsb/2","doc":"Update the contents of the `p_max_lsb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_max_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_max_lsb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_max_lsb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_max_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_max_msb/2","doc":"Update the contents of the `p_max_msb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_max_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_max_msb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_max_msb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_max_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_min_csb/2","doc":"Update the contents of the `p_min_csb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_min_csb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_min_csb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_min_csb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_min_csb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_min_lsb/2","doc":"Update the contents of the `p_min_lsb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_min_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_min_lsb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_min_lsb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_min_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_min_msb/2","doc":"Update the contents of the `p_min_msb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_min_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_min_msb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_min_msb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_min_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_tgt_lsb/2","doc":"Update the contents of the `p_tgt_lsb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_tgt_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_tgt_lsb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_tgt_lsb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_tgt_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_tgt_msb/2","doc":"Update the contents of the `p_tgt_msb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_tgt_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_tgt_msb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_tgt_msb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_tgt_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_wnd_lsb/2","doc":"Update the contents of the `p_wnd_lsb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_wnd_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_wnd_lsb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_wnd_lsb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_wnd_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_p_wnd_msb/2","doc":"Update the contents of the `p_wnd_msb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_p_wnd_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_p_wnd_msb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_p_wnd_msb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_p_wnd_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_pt_data_cfg/2","doc":"Update the contents of the `pt_data_cfg` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_pt_data_cfg/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_pt_data_cfg/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_pt_data_cfg(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_pt_data_cfg/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_t_max_lsb/2","doc":"Update the contents of the `t_max_lsb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_t_max_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_t_max_lsb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_t_max_lsb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_t_max_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_t_max_msb/2","doc":"Update the contents of the `t_max_msb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_t_max_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_t_max_msb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_t_max_msb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_t_max_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_t_min_lsb/2","doc":"Update the contents of the `t_min_lsb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_t_min_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_t_min_lsb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_t_min_lsb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_t_min_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_t_min_msb/2","doc":"Update the contents of the `t_min_msb` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_t_min_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_t_min_msb/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_t_min_msb(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_t_min_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_t_tgt/2","doc":"Update the contents of the `t_tgt` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_t_tgt/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_t_tgt/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_t_tgt(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_t_tgt/2-example"},{"type":"function","title":"MPL3115A2.Registers.update_t_wnd/2","doc":"Update the contents of the `t_wnd` register using a\ntransformation function.","ref":"MPL3115A2.Registers.html#update_t_wnd/2"},{"type":"function","title":"Example - MPL3115A2.Registers.update_t_wnd/2","doc":"iex> transform = fn  > ->  > end\n    ...> update_t_wnd(conn, transform)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#update_t_wnd/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_bar_in_lsb/2","doc":"Write new contents to the `bar_in_lsb` register.","ref":"MPL3115A2.Registers.html#write_bar_in_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_bar_in_lsb/2","doc":"iex> write_bar_in_lsb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_bar_in_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_bar_in_msb/2","doc":"Write new contents to the `bar_in_msb` register.","ref":"MPL3115A2.Registers.html#write_bar_in_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_bar_in_msb/2","doc":"iex> write_bar_in_msb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_bar_in_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_ctrl_reg1/2","doc":"Write new contents to the `ctrl_reg1` register.","ref":"MPL3115A2.Registers.html#write_ctrl_reg1/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_ctrl_reg1/2","doc":"iex> write_ctrl_reg1(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_ctrl_reg1/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_ctrl_reg2/2","doc":"Write new contents to the `ctrl_reg2` register.","ref":"MPL3115A2.Registers.html#write_ctrl_reg2/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_ctrl_reg2/2","doc":"iex> write_ctrl_reg2(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_ctrl_reg2/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_ctrl_reg3/2","doc":"Write new contents to the `ctrl_reg3` register.","ref":"MPL3115A2.Registers.html#write_ctrl_reg3/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_ctrl_reg3/2","doc":"iex> write_ctrl_reg3(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_ctrl_reg3/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_ctrl_reg4/2","doc":"Write new contents to the `ctrl_reg4` register.","ref":"MPL3115A2.Registers.html#write_ctrl_reg4/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_ctrl_reg4/2","doc":"iex> write_ctrl_reg4(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_ctrl_reg4/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_ctrl_reg5/2","doc":"Write new contents to the `ctrl_reg5` register.","ref":"MPL3115A2.Registers.html#write_ctrl_reg5/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_ctrl_reg5/2","doc":"iex> write_ctrl_reg5(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_ctrl_reg5/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_f_setup/2","doc":"Write new contents to the `f_setup` register.","ref":"MPL3115A2.Registers.html#write_f_setup/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_f_setup/2","doc":"iex> write_f_setup(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_f_setup/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_off_h/2","doc":"Write new contents to the `off_h` register.","ref":"MPL3115A2.Registers.html#write_off_h/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_off_h/2","doc":"iex> write_off_h(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_off_h/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_off_p/2","doc":"Write new contents to the `off_p` register.","ref":"MPL3115A2.Registers.html#write_off_p/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_off_p/2","doc":"iex> write_off_p(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_off_p/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_off_t/2","doc":"Write new contents to the `off_t` register.","ref":"MPL3115A2.Registers.html#write_off_t/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_off_t/2","doc":"iex> write_off_t(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_off_t/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_max_csb/2","doc":"Write new contents to the `p_max_csb` register.","ref":"MPL3115A2.Registers.html#write_p_max_csb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_max_csb/2","doc":"iex> write_p_max_csb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_max_csb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_max_lsb/2","doc":"Write new contents to the `p_max_lsb` register.","ref":"MPL3115A2.Registers.html#write_p_max_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_max_lsb/2","doc":"iex> write_p_max_lsb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_max_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_max_msb/2","doc":"Write new contents to the `p_max_msb` register.","ref":"MPL3115A2.Registers.html#write_p_max_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_max_msb/2","doc":"iex> write_p_max_msb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_max_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_min_csb/2","doc":"Write new contents to the `p_min_csb` register.","ref":"MPL3115A2.Registers.html#write_p_min_csb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_min_csb/2","doc":"iex> write_p_min_csb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_min_csb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_min_lsb/2","doc":"Write new contents to the `p_min_lsb` register.","ref":"MPL3115A2.Registers.html#write_p_min_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_min_lsb/2","doc":"iex> write_p_min_lsb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_min_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_min_msb/2","doc":"Write new contents to the `p_min_msb` register.","ref":"MPL3115A2.Registers.html#write_p_min_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_min_msb/2","doc":"iex> write_p_min_msb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_min_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_tgt_lsb/2","doc":"Write new contents to the `p_tgt_lsb` register.","ref":"MPL3115A2.Registers.html#write_p_tgt_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_tgt_lsb/2","doc":"iex> write_p_tgt_lsb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_tgt_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_tgt_msb/2","doc":"Write new contents to the `p_tgt_msb` register.","ref":"MPL3115A2.Registers.html#write_p_tgt_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_tgt_msb/2","doc":"iex> write_p_tgt_msb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_tgt_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_wnd_lsb/2","doc":"Write new contents to the `p_wnd_lsb` register.","ref":"MPL3115A2.Registers.html#write_p_wnd_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_wnd_lsb/2","doc":"iex> write_p_wnd_lsb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_wnd_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_p_wnd_msb/2","doc":"Write new contents to the `p_wnd_msb` register.","ref":"MPL3115A2.Registers.html#write_p_wnd_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_p_wnd_msb/2","doc":"iex> write_p_wnd_msb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_p_wnd_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_pt_data_cfg/2","doc":"Write new contents to the `pt_data_cfg` register.","ref":"MPL3115A2.Registers.html#write_pt_data_cfg/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_pt_data_cfg/2","doc":"iex> write_pt_data_cfg(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_pt_data_cfg/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_t_max_lsb/2","doc":"Write new contents to the `t_max_lsb` register.","ref":"MPL3115A2.Registers.html#write_t_max_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_t_max_lsb/2","doc":"iex> write_t_max_lsb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_t_max_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_t_max_msb/2","doc":"Write new contents to the `t_max_msb` register.","ref":"MPL3115A2.Registers.html#write_t_max_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_t_max_msb/2","doc":"iex> write_t_max_msb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_t_max_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_t_min_lsb/2","doc":"Write new contents to the `t_min_lsb` register.","ref":"MPL3115A2.Registers.html#write_t_min_lsb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_t_min_lsb/2","doc":"iex> write_t_min_lsb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_t_min_lsb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_t_min_msb/2","doc":"Write new contents to the `t_min_msb` register.","ref":"MPL3115A2.Registers.html#write_t_min_msb/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_t_min_msb/2","doc":"iex> write_t_min_msb(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_t_min_msb/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_t_tgt/2","doc":"Write new contents to the `t_tgt` register.","ref":"MPL3115A2.Registers.html#write_t_tgt/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_t_tgt/2","doc":"iex> write_t_tgt(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_t_tgt/2-example"},{"type":"function","title":"MPL3115A2.Registers.write_t_wnd/2","doc":"Write new contents to the `t_wnd` register.","ref":"MPL3115A2.Registers.html#write_t_wnd/2"},{"type":"function","title":"Example - MPL3115A2.Registers.write_t_wnd/2","doc":"iex> write_t_wnd(conn,  >)\n    {:ok, _conn}","ref":"MPL3115A2.Registers.html#write_t_wnd/2-example"},{"type":"extras","title":"MPL3115A2","doc":"# MPL3115A2\n\n[![Build Status](https://drone.harton.dev/api/badges/james/mpl3115a2/status.svg)](https://drone.harton.dev/james/mpl3115a2)\n[![Hex.pm](https://img.shields.io/hexpm/v/mpl3115a2.svg)](https://hex.pm/packages/mpl3115a2)\n[![Hippocratic License HL3-FULL](https://img.shields.io/static/v1?label=Hippocratic%20License&message=HL3-FULL&labelColor=5e2751&color=bc8c3d)](https://firstdonoharm.dev/version/3/0/full.html)\n\nElixir driver for the MPL3115A2 barometric pressure, altitude and temperature\nsensor. I'm using [Adafruit's breakout](https://www.adafruit.com/product/1893).","ref":"readme.html"},{"type":"extras","title":"Usage - MPL3115A2","doc":"Add your device to your config like so:\n\n    config :mpl3115a2,\n      devices: [%{bus: \"i2c-1\", address: 0x60}]\n\nAnd start your application. Your devices will be reset with defaults and you\nwill be able to take temperature and pressure or altitude readings. See\n`MPL3115A2.Commands.initialize!/1` for more details on the default\ninitialization.\n\nThis device is capable of much more advanced usage than the `MPL3115A2.Device`\nmodule makes use of. It was all that I needed at the time. For advanced usage\nyou can use the `MPL3115A2.Commands` and `MPL3115A2.Registers` modules directly.\nFeel free to send PR's.","ref":"readme.html#usage"},{"type":"extras","title":"Installation - MPL3115A2","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `mpl3115a2` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:mpl3115a2, \"~> 1.0.1\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at [https://hexdocs.pm/mpl3115a2](https://hexdocs.pm/mpl3115a2).","ref":"readme.html#installation"},{"type":"extras","title":"Github Mirror - MPL3115A2","doc":"This repository is mirrored [on Github](https://github.com/jimsynz/mpl3115a2)\nfrom it's primary location [on my Forejo instance](https://harton.dev/james/mpl3115a2).\nFeel free to raise issues and open PRs on Github.","ref":"readme.html#github-mirror"},{"type":"extras","title":"License - MPL3115A2","doc":"This software is licensed under the terms of the\n[HL3-FULL](https://firstdonoharm.dev), see the `LICENSE.md` file included with\nthis package for the terms.\n\nThis license actively proscribes this software being used by and for some\nindustries, countries and activities. If your usage of this software doesn't\ncomply with the terms of this license, then [contact me](mailto:james@harton.nz)\nwith the details of your use-case to organise the purchase of a license - the\ncost of which may include a donation to a suitable charity or NGO.","ref":"readme.html#license"},{"type":"extras","title":"Change Log","doc":"# Change Log\n\nAll notable changes to this project will be documented in this file.\nSee [Conventional Commits](Https://conventionalcommits.org) for commit guidelines.\n\n \n\n## [v1.0.1](https://harton.dev/james/mpl3115a2/compare/v1.0.0...v1.0.1) (2024-02-23)\n\n\n\n\n## [v1.0.0](https://harton.dev/james/mpl3115a2/compare/v0.3.0...v1.0.0) (2023-01-16)\n\n#","ref":"changelog.html"},{"type":"extras","title":"Breaking Changes: - Change Log","doc":"- Relicense to HL3-FULL.\n\n## [v0.3.0](https://harton.dev/james/mpl3115a2/compare/v0.3.0...v0.3.0) (2020-12-28)","ref":"changelog.html#breaking-changes"}],"content_type":"text/markdown"}